<?php
function lister($chemin, $first=0)
{
   
   
   //nom du répertoire à lister
   $nom_repertoire = $chemin;

   //on ouvre un pointeur sur le repertoire
   $pointeur = opendir($nom_repertoire);
    
   
    
     $i=0;
   //pour chaque fichier et dossier
   while ($fichier = readdir($pointeur))
   {
    
      //on ne traite pas les . et ..
      if(($fichier != '.') && ($fichier != '..'))
      {
            
         //si c'est un dossier, on le lit
         if (is_dir($nom_repertoire.'/'.$fichier))
         {
      
                echo "<ul><li>".$fichier."</li></ul>";
                lister($nom_repertoire.'/'.$fichier, 1);
    
         }
         else
         {
            $tab=array();
            $path='';
            $tab = explode("/",$chemin);
            
            for($i=5;$i<count($tab);$i++){
                $path .= $tab[$i]."/";
            }
?>
     
                <tr>
                    <td><?php echo $fichier ?></td>
                    <td width="40%"><a href="javascript:void(0)" onclick="switchMedia('fichier_<?php echo $i ?>', '<?=$path?>')">écouter</a> - <a href="http://www.iri.centrepompidou.fr/documents/audio/<?=$path.$fichier?>" title="clic droit -> enregistrer sous">télécharger</a>
                    <input type="hidden" id="fichier_<?php echo $i ?>" value="<?=urlencode(trim($fichier))?>"/>
                    </td>
                </tr>
                
                
<?php        
        }
      }
      $i++;
      
   }
   
 
   //fermeture du pointeur
   closedir($pointeur);
}

?>